FLANG

Public Types | Public Member Functions | List of all members
Fortran::evaluate::Constant< T > Class Template Reference

## Public Types
using | Result = T
using | Base = ConstantBase< T >
using | Element = Scalar< T >

## Public Member Functions
std::optional< Scalar< T > > | GetScalarValue () const
Element | At (const ConstantSubscripts &) const
Constant | Reshape (ConstantSubscripts &&) const
std::size_t | CopyFrom (const Constant &source, std::size_t count, ConstantSubscripts &resultSubscripts, const std::vector< int > *dimOrder)

The documentation for this class was generated from the following files:

- include/flang/Evaluate/constant.h
- lib/Evaluate/constant.cpp